<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RAudioCodecPreferenceList StructType
 * @subpackage Structs
 */
class RAudioCodecPreferenceList extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The codecsInList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\CodecsInList
     */
    public $codecsInList;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RAudioCodecPreferenceList
     * @uses RAudioCodecPreferenceList::setName()
     * @uses RAudioCodecPreferenceList::setDescription()
     * @uses RAudioCodecPreferenceList::setCodecsInList()
     * @uses RAudioCodecPreferenceList::setUuid()
     * @param string $name
     * @param string $description
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\CodecsInList $codecsInList
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, \\Losc\CucmBundle\Model\Webservice\StructType\CodecsInList $codecsInList = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setCodecsInList($codecsInList)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RAudioCodecPreferenceList
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RAudioCodecPreferenceList
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get codecsInList value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CodecsInList|null
     */
    public function getCodecsInList()
    {
        return $this->codecsInList;
    }
    /**
     * Set codecsInList value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\CodecsInList $codecsInList
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RAudioCodecPreferenceList
     */
    public function setCodecsInList(\\Losc\CucmBundle\Model\Webservice\StructType\CodecsInList $codecsInList = null)
    {
        $this->codecsInList = $codecsInList;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RAudioCodecPreferenceList
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
